Search service catalog items with pricing
1 min
GET
https://app.amberflo.io/business-unit/service-catalog/search
Query Parameters
- visibilitystring
- providersstring[]
- categoriesstring[]
- servicesstring[]
- meterApiNamesstring[]
- regionsstring[]
- pricingUnitsstring[]
- descriptionLikestring
- timeInSecondsinteger<int64>Description
- limitinteger<int32>
- pageinteger<int32>
Responses
200
- business_unit.service_catalog.query.ServiceCatalogItemPage.out
- metadatabusiness_unit.service_catalog.query.ServiceCatalogItemPageMetadata.out
- visibilitybusiness_unit.service_catalog.CatalogVisibility.outDescription
- providersbusiness_unit.common.DataProvider.out[]Description
- categoriesstring[]
- servicesstring[]
- meterApiNamesstring[]
- regionsstring[]
- pricingUnitsstring[]
- descriptionLikestring
- timeInSecondsinteger<int64>Description
- limitinteger<int32>
- pageinteger<int32>
- filteredRowCountinteger<int32>
- totalFilteredPagesinteger<int32>
- itemsbusiness_unit.service_catalog.ServiceCatalogItem.out[]
- providerbusiness_unit.common.DataProvider.outDescription
- categorystringDescription
- servicestringDescription
- meterApiNamestringDescription
- dimensionsmap<string, string>Description
- pricingUnitstringDescription
- regionstringDescription
- descriptionstringDescription
- currencystringExampleDescription
- listUnitPricenumberDescription
- contractedUnitPricenumberDescription
curl
curl --request GET \
--url https://app.amberflo.io/business-unit/service-catalog/search \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/business-unit/service-catalog/search", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/business-unit/service-catalog/search")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/business-unit/service-catalog/search"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"metadata": {
"visibility": "",
"providers": [
""
],
"categories": [
""
],
"services": [
""
],
"meterApiNames": [
""
],
"regions": [
""
],
"pricingUnits": [
""
],
"descriptionLike": "",
"timeInSeconds": "",
"limit": "",
"page": "",
"filteredRowCount": "",
"totalFilteredPages": ""
},
"items": [
{
"provider": "",
"category": "",
"service": "",
"meterApiName": "",
"dimensions": "",
"pricingUnit": "",
"region": "",
"description": "",
"currency": "USD",
"listUnitPrice": 0,
"contractedUnitPrice": 0
}
]
}